# I3DExFigureActor Struct Reference
[External Interfaces]

Inheritance diagram for I3DExFigureActor:

List of all members.

## Public Member Functions
virtual boolean MCCOMAPI | IsVisible ()=0
| Returns the visibility of the actor.
virtual void MCCOMAPI | SetVisible (boolean visible)=0
virtual int32 MCCOMAPI | GetGeometryCount ()=0
| Gets the number of geometries for this actor.
virtual int32 MCCOMAPI | GetCurrentGeometry ()=0
| Returns the current geometry index of the actor.
virtual void MCCOMAPI | SetCurrentGeometry (int32 index)=0
| Changes the current geometry of the actor.
virtual const TMCString &MCCOMAPI | GetGeometryName (int32 index)=0
| Returns the name of one of the actor geometries.
virtual void MCCOMAPI | AddGeometry (const TMCString &name, IPolymesh *polymesh)=0
virtual void MCCOMAPI | GetGeometryVertices (int32 geometryIndex, IPolymesh **polymesh, int32 &outPolymeshIndex, TMCCountedPtrArray< I3DExVertex > &vertices)=0
| Returns informations about one of the geometry.
virtual void MCCOMAPI | WeldTo (I3DExFigureActor *actor)=0
virtual int32 MCCOMAPI | CreateMorphArea ()=0
virtual int32 MCCOMAPI | GetMorphAreaIndex () const =0
| Returns the morph area for the actor (does not create it).
virtual int32 MCCOMAPI | GetActorIndex () const =0
| Returns the index of the actor.
virtual void MCCOMAPI | Initialize (const TMCString &name, const TMCString &internalName)=0
virtual void MCCOMAPI | Convert_AddGeometry (const TMCString &name, int32 polymeshIndex)=0
virtual void MCCOMAPI | Convert_Initialize (int32 morphAreaIndex, int32 currentGeometry)=0
virtual const TMCString &MCCOMAPI | GetName () const =0
virtual void MCCOMAPI | SetJointIndex (int32 jointIndex)=0
virtual int32 MCCOMAPI | GetJointIndex () const =0
virtual void MCCOMAPI | GetWeldedActors (TMCCountedPtrArray< I3DExFigureActor > &actors)=0
virtual const TMCString &MCCOMAPI | GetInternalName () const =0

## Member Function Documentation

virtual void MCCOMAPI I3DExFigureActor::AddGeometry | ( | const TMCString & | name,
|  | IPolymesh * | polymesh |
| ) |  |  | `[pure virtual]`

Adds a geometry to the actor. The polymesh should not be a polymesh of this vertex primitive.

Parameters:

  | name | Name of the geometry.
  | polymesh | Polymesh.

virtual void MCCOMAPI I3DExFigureActor::Convert_AddGeometry | ( | const TMCString & | name,
|  | int32 | polymeshIndex |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExFigureActor::Convert_Initialize | ( | int32 | morphAreaIndex,
|  | int32 | currentGeometry |
| ) |  |  | `[pure virtual]`

virtual int32 MCCOMAPI I3DExFigureActor::CreateMorphArea | ( |  | ) | `[pure virtual]`

Returns the morph area for the actor. If it already exists, the morph area index is returned.

virtual int32 MCCOMAPI I3DExFigureActor::GetActorIndex | ( |  | ) | const`[pure virtual]`

Returns the index of the actor.

virtual int32 MCCOMAPI I3DExFigureActor::GetCurrentGeometry | ( |  | ) | `[pure virtual]`

Returns the current geometry index of the actor.

virtual int32 MCCOMAPI I3DExFigureActor::GetGeometryCount | ( |  | ) | `[pure virtual]`

Gets the number of geometries for this actor.

virtual const TMCString& MCCOMAPI I3DExFigureActor::GetGeometryName | ( | int32 | index | ) | `[pure virtual]`

Returns the name of one of the actor geometries.

virtual void MCCOMAPI I3DExFigureActor::GetGeometryVertices | ( | int32 | geometryIndex,
|  | IPolymesh ** | polymesh,
|  | int32 & | outPolymeshIndex,
|  | TMCCountedPtrArray< I3DExVertex > & | vertices |
| ) |  |  | `[pure virtual]`

Returns informations about one of the geometry.

virtual const TMCString& MCCOMAPI I3DExFigureActor::GetInternalName | ( |  | ) | const`[pure virtual]`

virtual int32 MCCOMAPI I3DExFigureActor::GetJointIndex | ( |  | ) | const`[pure virtual]`

virtual int32 MCCOMAPI I3DExFigureActor::GetMorphAreaIndex | ( |  | ) | const`[pure virtual]`

Returns the morph area for the actor (does not create it).

virtual const TMCString& MCCOMAPI I3DExFigureActor::GetName | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI I3DExFigureActor::GetWeldedActors | ( | TMCCountedPtrArray< I3DExFigureActor > & | actors | ) | `[pure virtual]`

Gets the actors welded on to the current actor

Parameters:

  | actors | Returned list of actors.

virtual void MCCOMAPI I3DExFigureActor::Initialize | ( | const TMCString & | name,
|  | const TMCString & | internalName |
| ) |  |  | `[pure virtual]`

Parameters:

  | name | Actor's name.
  | internalName | Actor's internal name.

virtual boolean MCCOMAPI I3DExFigureActor::IsVisible | ( |  | ) | `[pure virtual]`

Returns the visibility of the actor.

virtual void MCCOMAPI I3DExFigureActor::SetCurrentGeometry | ( | int32 | index | ) | `[pure virtual]`

Changes the current geometry of the actor.

virtual void MCCOMAPI I3DExFigureActor::SetJointIndex | ( | int32 | jointIndex | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExFigureActor::SetVisible | ( | boolean | visible | ) | `[pure virtual]`

Parameters:

  | visible | Visibility of the actor.

virtual void MCCOMAPI I3DExFigureActor::WeldTo | ( | I3DExFigureActor * | actor | ) | `[pure virtual]`

Weld this actor to another one. Don't forget to call I3DExFigurePrimitive::PostActorWelding after welding all the actors together.

The documentation for this struct was generated from the following file:

- I3DExFigurePrimitive.h